Subject: bug#54813: 29.0.50; Diff file motion commands skip file mode changes

From: Matthias Meulien <[email-masked]>
Date: Sat, 09 Apr 2022 14:41:15 +0200

Matthias Meulien <[email-masked]> writes:

> Analysis: Git diff shows file mode changes when the execution bit is
> affected by the change. There may be no file content change, thus no
> lines starting with --- or +++. In such case the regexp defined by
> `diff-file-header-re' doesn't match which explains the bug.

Note that `diff-goto-source' is based on "hunk headers" search and fails
to open the README file from the diff.  Not sure it should be considered
as a bug...